package model.Europe

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources.spiceBag
import kotlin.time.Duration

val irishList = listOf(
    Recipe(
        title = "Spice Bag",
        description = "Irish-Chinese Takeaway Dish of Chicken, Chips, and Veg in a bag with salt and chili spice.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("15m"),
        servings = "Makes 10 Bags",
        ingredients = listOf(

            "HEADER-Chicken",
            "2 Kg Chicken Pieces",
            "4 Star Anise",
            "Juice of 2 Lemon",
            "10 Beaten Eggs",
            "200g Potato Flour",
            "Oil for Frying",
            "Salt",

            "HEADER-Chips",
            "1kg Potatoes, Skin On, Cut into strips",

            "HEADER-Veg",
            "2 Red Peppers",
            "2 Green Peppers",
            "2 Shallots",
            "Salt",

            "HEADER-Spice Mix",
            "2 Tbsp Course Salt",
            "1 Tsp White Pepper",
            "1 Tsp Five Spice Powder",
            ".5 Tsp Chilli Powder",
            "4 Red Chillies, Fine Diced",
        ),
        instructions = listOf(
            "Mix Egg Wash [10 Eggs], with Lemon Juice [1 Lemon], and ground Star Anise [4]. Coat the Chicken in this wash.",
            "Toss the Chicken in the Potato Flour, shaking off the excess.",
            "Deep Fry Chicken at 360F for about 6 minutes",
            "Deep Fry The Chips.",
            "Fry Veg in a Wok. Add half the Spice Mix and toss to coat.",
            "Throw Everything in the Bag, tossing with the other half of the Spice Mix.",
        ),
        tags = mapOf(
            "Irish" to TagType.CUISINE,
            "Chinese" to TagType.CUISINE,
            "Spicy" to TagType.FLAVOUR,
            "Salty" to TagType.FLAVOUR,
            "Deep Fried" to TagType.TECHNIQUE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Carnivorous" to TagType.CUISINE,
        ),
        image = Res.drawable.spiceBag,
    )
)