package model.Europe

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration

val italianList = listOf(
    Recipe(
        title = "Pesto Sauce",
        description = "Italian Sauce of Fresh Basil, Mozzarella, Garlic, and Spices.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.ZERO,
        servings = "1 Batch",
        ingredients = listOf(
            "1 Bunch of Fresh Basil",
            ".5 Cup to .75 Cup of fresh Mozzarella Cheese, hand shredded",
            ".25 Cup Minced Garlic",
            "Smoked Paprika",
            ".25 Tsp Cayenne Powder",
            "Salt and Pepper to taste",
            "Olive Oil [as needed for consistency]",
            "Garlic oil, for taste",
            "White Wine, Fruity [such as layer cake]",
            "2 caps of Lemon Juice",
            ),
        instructions = listOf(
            "Shred Basil in a blender, slowly adding Oil until it blends smooth",
            "Add in Cheese, Garlic, and Spices, blend, adding more Oil as needed"
        ),
        tags = mapOf(
            "Italian" to TagType.CUISINE,
            "Sauce" to TagType.COURSE,
            "Blended" to TagType.TECHNIQUE,
            "Vegetarian" to TagType.CUISINE,
        ),
        image = Res.drawable._10_strawberries,
    )
)